#pragma once

#include <SFML/Graphics.hpp>
#include <Color.h>
#include <Player.h>

struct Fruit
{
    Fruit() = default;
    Fruit(sf::Vector2i gridPos_in, const Color& color_in = sf::Color::White);
	sf::Vector2u gridPos{};
	Color color{};

	[[nodiscard]] sf::Vector2f windowPos(sf::Vector2f gameBoundsOrigin, float size) const;
    void respawn(const std::vector<SnakeNode>& body_in, unsigned int gridCount_in);
};